# -*- coding: utf-8 -*-
import aiy.audio
import aiy.cloudspeech
import aiy.voicehat
import aiy.i18n
import os
import sys
def main():
    aiy.i18n.set_language_code('ja-JP')
    recognizer = aiy.cloudspeech.get_recognizer()
    button = aiy.voicehat.get_button()
    led = aiy.voicehat.get_led()
    aiy.audio.get_recorder().start()
    light_mode=1
    tv_mode=1
    while True:
        print('Press the button and speak')
        led.set_state(aiy.voicehat.LED.ON)
        aiy.audio.say('ボタン押してください')
        button.wait_for_press()
        aiy.audio.say('ご用件をどうぞ')
        print('Listening...')
        text = recognizer.recognize()
        if text is None:
            print('Sorry, I did not hear you.')
            aiy.audio.say('すみません。よくわかりません')
        else:
            print('You said "', text, '"')
            if 'ライト' in text and light_mode==0:
                os.system('/home/pi/Desktop/usbir_send /home/pi/Desktop/light.txt')
                light_mode=1 
                aiy.audio.say('ライトをつけました')
            elif 'ライト' in text and light_mode==1:
                os.system('/home/pi/Desktop/usbir_send /home/pi/Desktop/light.txt')
                light_mode=0
                aiy.audio.say('ライトを消しました')
            elif 'テレビ' in text and tv_mode==0:
                os.system('/home/pi/Desktop/usbir_send /home/pi/Desktop/tv.txt')
                tv_mode=1
                aiy.audio.say('テレビをつけました')
            elif 'テレビ' in text and tv_mode==1:
                os.system('/home/pi/Desktop/usbir_send /home/pi/Desktop/tv.txt')
                tv_mode=0
                aiy.audio.say('テレビを消しました')
            elif 'さようなら' or 'さよなら' in text:
                led.set_state(aiy.voicehat.LED.OFF)
                aiy.audio.say('さようなら、また、いつでもどうぞ')
                break
        led.set_state(aiy.voicehat.LED.OFF)
if __name__ == '__main__':
    main()
